[Digikam-devel] Can't compile digiKam on Windows

Gilles Caulier caulier.gilles at gmail.com
Fri Aug 20 08:38:14 CEST 2010


Can you cat your digikam/digikam/version.h file there please ? Sound
like something a mistake with svn when it build this file beforze
compilation

How do you have get digiKam source code ? From svn ?

Gilles Caulier

2010/8/20 Laurent Espitallier <laurent.espitallier at laposte.net>:
>  Getting an error :
>
>
> In file included from D:/kde4_devel/graphics/digikam/digikam/version.h:38,
>                  from
> D:\kde4_devel\graphics\digikam\libs\dimg\loaders\pngloader
> .cpp:61:
> D:/kde4_devel/graphics/digikam/digikam/svnversion.h:2: error: `Vous'
> does not na
> me a type
> D:/kde4_devel/graphics/digikam/digikam/svnversion.h:2: error: missing
> terminatin
> g ' character
> D:/kde4_devel/graphics/digikam/digikam/svnversion.h:3: error: stray
> '\130' in pr
> ogram
> D:/kde4_devel/graphics/digikam/digikam/svnversion.h:3: error: stray
> '\130' in pr
> ogram
> In file included from
> D:\kde4_devel\graphics\digikam\libs\dimg\loaders\pngloader
> .cpp:61:
> D:/kde4_devel/graphics/digikam/digikam/version.h:49: error: missing
> terminating
> " character
> D:\kde4_devel\graphics\digikam\libs\dimg\loaders\pngloader.cpp: In
> member functi
> on `virtual bool Digikam::PNGLoader::save(const QString&,
> Digikam::DImgLoaderObs
> erver*)':
> D:\kde4_devel\graphics\digikam\libs\dimg\loaders\pngloader.cpp:752:
> error: `digi
> KamVersion' was not declared in this scope
> make[2]: ***
> [digikam/digikam/CMakeFiles/digikamcore.dir/__/libs/dimg/loaders/pn
> gloader.obj] Error 1
> make[1]: *** [digikam/digikam/CMakeFiles/digikamcore.dir/all] Error 2
> make: *** [all] Error 2
>
>
> _______________________________________________
> Digikam-devel mailing list
> Digikam-devel at kde.org
> https://mail.kde.org/mailman/listinfo/digikam-devel
>


More information about the Digikam-devel mailing list